Bug 31775 - anaconda is failed when installer is excuted
anaconda is failed when installer is excuted
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
nemowizard@hanmail.net
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-14 08:43 EST by Need Real Name
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-10 18:13:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-03-14 08:43:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)




Reproducible: Always
Steps to Reproduce:
1.I installed text mode
2.
3.
	

Actual Results:  Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/textw/packages_text.py", 
line 33, in __call__
    todo.getCompsList()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 539, in 
getCompsList
    self.comps = self.method.readComps(self.hdList)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 16, in 
readComps
    return ComponentSet(self.tree + '/RedHat/base/comps', hdlist)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 459, in 
__init__
    self.readCompsFile(file, self.packages, arch, matchAllLang)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 428, in 
readCompsFile
    comp.addPackage(packages[l])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 101, in 
__getitem__
    return self.packages[item]
KeyError: MAKEDEV
Local variables in innermost frame:
self: <comps.HeaderListFromFile instance at 8232568>
item: MAKEDEV
ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6
<failed>


Expected Results:  installer is excuted
Comment 1 Michael Fulbright 2001-03-21 15:08:41 EST
This almost always indicates a CDROM error.

When this errors occurs look on VC4 (cntl-alt-f4) and see if there are any
kernel errors present.
Comment 2 Brent Fox 2001-04-10 18:13:53 EDT
Closing due to inactivity. Please reopen if you have any more info.

Note You need to log in before you can comment on or make changes to this bug.